<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="True" EnableViewState="false" Inherits="aspnetforum.forums" MasterPageFile="AspNetForumMaster.Master" %>
<%@ Register TagPrefix="cc" TagName="RecentPosts" Src="recentposts.ascx" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolderHEAD" ID="AspNetForumHead" runat="server">
<link rel="alternate" type="application/rss+xml" title="recent posts" href="recent.aspx?rss=1" />
</asp:Content>

<asp:Content ContentPlaceHolderID="AspNetForumContentPlaceHolder" ID="AspNetForumContent" runat="server">
	<div class="location">
		<a href="recent.aspx?rss=1" runat="server" id="rssLink" enableviewstate="false"><img alt="recent posts from all forums - RSS" src="images/rss20.gif" style="float:right" /></a>
	</div>
	<asp:Repeater ID="rptGroupsList" Runat="server" EnableViewState="False" OnItemDataBound="rptGroupsList_ItemDataBound">
		<ItemTemplate>
			<br /><br /><h2><%# Eval("GroupName") %></h2><br />
			<table style="width:100%;" cellspacing="0" cellpadding="14" class="roundedborder">
			<asp:repeater id="rptForumsList" runat="server" EnableViewState="False">
				<ItemTemplate>
					<tr <%# Container.ItemType == ListItemType.AlternatingItem ? " class='altItem'" : "" %> >
						<td align="center" width="40"><img alt="" src="<%# GetForumIcon(Eval("IconFile")) %>" height="32" width="32" /></td>
						<td style="width:70%;"><h2>
							<a href='<%# aspnetforum.Utils.Various.GetForumURL(Eval("ForumID"), Eval("Title")) %>'><%# Eval("Title") %></a>
							</h2>
							<span class="gray"><%# Eval("Description") %></span>
						</td>
						<td width="50"><%= aspnetforum.Resources.various.Threads %>
							<br />
							<%# Eval("TopicCount") %></td>
						<td style="white-space:nowrap"><%= aspnetforum.Resources.various.LatestPost %>
							<br />
							<%# aspnetforum.Utils.Message.GetMsgInfoByID(Eval("LatestMessageID"), Cmd)%></td>
					</tr>
				</ItemTemplate>
			</asp:repeater>
			</table>
		</ItemTemplate>
		<FooterTemplate></FooterTemplate>
	</asp:Repeater>
	<asp:Label ID="lblNoForums" runat="server" Visible="False" enableviewstate="False"><%= aspnetforum.Resources.various.NoForums %></asp:Label>
	<span id="spanNoForumsAdmin" runat="server">No forums have been created yet. Please go to the <a href="admin.aspx">administrator panel</a>.</span>
	
	<br /><br />
	<h2><%= aspnetforum.Resources.various.WhatsGoingOn %></h2><br />

	<table style="width:100%;" cellpadding="11" cellspacing="0" class="roundedborder">
	<tr>
		<td>
			<span class="gray"><%= aspnetforum.Resources.various.UsersOnline %></span>
			<%= aspnetforum.Utils.User.OnlineUsersCount %>&nbsp;&nbsp;
			<span class="gray"><%= aspnetforum.Resources.various.Members %></span>
			<%= aspnetforum.Utils.User.OnlineRegisteredUsersCount %>&nbsp;&nbsp;
			<span class="gray"><%= aspnetforum.Resources.various.Guests %></span>
			<%= aspnetforum.Utils.User.OnlineUsersCount-aspnetforum.Utils.User.OnlineRegisteredUsersCount%>
			<br /><br />
			<span class="gray"><%= aspnetforum.Resources.various.Threads %></span>
			<%= aspnetforum.Utils.Various.GetStats().ThreadCount %>&nbsp;&nbsp;
			<span class="gray"><%= aspnetforum.Resources.various.Posts %></span>
			<%= aspnetforum.Utils.Various.GetStats().PostCount %>&nbsp;&nbsp;
			<span class="gray"><%= aspnetforum.Resources.various.Members %></span>
			<%= aspnetforum.Utils.Various.GetStats().MemberCount %>
		</td>
	</tr>
	</table>

	<div id="divRecent" runat="server" enableviewstate="false" visible="false">
	<br /><br /><h2><%= aspnetforum.Resources.various.RecentPosts %></h2><br />
	<cc:RecentPosts id="recentPosts" runat="server"></cc:RecentPosts>
	</div>
</asp:Content>